From 60a55bd514d33d80f25079285a3da87c50332046 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 10 Nov 2009 09:59:30 +0100
Subject: [PATCH] Fix Fedora-release for F12.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 RPM-GPG-KEY-fedora-arm      |   25 ++++++++
 fedora-release-12-arm.patch |  135 +++++++++++++++++++++++++++++++++++++++++++
 fedora-release.spec         |    6 ++-
 3 files changed, 165 insertions(+), 1 deletions(-)
 create mode 100644 RPM-GPG-KEY-fedora-arm
 create mode 100644 fedora-release-12-arm.patch

diff --git a/RPM-GPG-KEY-fedora-arm b/RPM-GPG-KEY-fedora-arm
new file mode 100644
index 0000000..5dd32df
--- /dev/null
+++ b/RPM-GPG-KEY-fedora-arm
@@ -0,0 +1,25 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.5 (GNU/Linux)
+
+mQGiBEr3sHsRBADNL99ffl4LlcYeio3XRegFBxcTCYp+/lUMqNjalP14e++X/aZP
+TNP6E3i671kVeOJdnUGuNvBj3rcPqTi47a7I0qzOvo+rVSvOccTYYZ5qIaJ5G9VG
+bVxvF9nmCBO9TXHtbsgvXFFajtd9IODqJ1ThOuyioymZFE7k06/8gDDm8wCgowZ7
+98jGhssmDKV4a7LD0SKb2WcEAKtfi5H32IH/B2NeIybtZpJVl1LFUmuQWmOpCoME
+Z/exG/NLOVPtAQKBXK80bKfmqGCfeG+Iumlh/Cvc3XXX0DFGTNmmqrognI8y0KYv
+t02WcZgqdaAzQvKnPFkqszqgwn2Sp8SBkUwptYdnepEJuoLoEuse1R3L6nLQ1Nrh
+nRQlBACQ0rUVwixyWXSEbr77lL8dnZVVB2f82gHce9IlsYNk1i3F0HyIOeDO3eNU
+4EYRDCcWs4WqcR+REHuqw55MtAackJyn+bBFQ3jcHHefh/Ml3EkCHFs5Dm5KjshE
+N3QB9cNF7u41bJykcL6OOateuzFtcjW7nBFcjUVQUV1Xb7MZ3rRARmVkb3JhIDEy
+IEFSTSAoU2lnbmluZyBrZXkgZm9yIEYtMTIgQVJNKSA8ZmVkb3JhLWFybUByZWRo
+YXQuY29tPohgBBMRAgAgBQJK97B7AhsDBgsJCAcDAgQVAggDBBYCAwECHgECF4AA
+CgkQkXN6rDWAXxS6JgCfUudPIgDBDUgYr/H2YdA8aYavIoAAn0kRmsZUwmh+5BK1
+ow5fYE0avmDAuQENBEr3sHsQBACnanIREs+gBjL1d/ZO7WnyThqP4E7BQKxJELlU
+FRuudsqtPNcsLYuD9ceozgkkHbUeE1vejWgA5rRGOe4UlydY2ThdjLaPTfQnKqSJ
+n46jk9ry8xI9VrxKzHmBJeVqJyewX6bRuHocZhAN9WAS8Feoaj7If/m3m2EfzCVT
+d3yKnwADBQP9H4nZ3QHoWJRDDeb6eeM16D5hz75TXRpkWhi4Jy79iDNdKQeEkCWR
+MLqgP99JoPL3bMI+qamHkCcr+MFpGtdYady5NJggpaawGThG4Fvgu4Iiq2qLG5K+
+t6mWoqbFaNKqJbM0qkO0KYhM80Ss7hEZ2X8PyGI/Cw4WxmouABEmXxaISQQYEQIA
+CQUCSvewewIbDAAKCRCRc3qsNYBfFIgCAKCgch+7CUOknrf1cGOZOJIxrSNyIgCf
+Z67m/Q4RjAHQmqu8me14pPXiBsk=
+=kbC9
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/fedora-release-12-arm.patch b/fedora-release-12-arm.patch
new file mode 100644
index 0000000..70ff762
--- /dev/null
+++ b/fedora-release-12-arm.patch
@@ -0,0 +1,135 @@
+diff -urp fedora-release-12.orig/fedora-rawhide.repo fedora-release-12/fedora-rawhide.repo
+--- fedora-release-12.orig/fedora-rawhide.repo	2009-11-03 03:45:04.000000000 +0530
++++ fedora-release-12/fedora-rawhide.repo	2009-11-09 16:30:54.000000000 +0530
+@@ -20,18 +20,7 @@
+ 
+ [rawhide]
+ name=Fedora - Rawhide - Developmental packages for the next Fedora release
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/development/$basearch/os/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=rawhide&arch=$basearch
+-enabled=0
+-gpgcheck=0
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-$basearch file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+-[rawhide-debuginfo]
+-name=Fedora - Rawhide - Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/development/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=rawhide-debug&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=rawhide&arch=$basearch
+ enabled=0
+ gpgcheck=0
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-$basearch file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+diff -urp fedora-release-12.orig/fedora.repo fedora-release-12/fedora.repo
+--- fedora-release-12.orig/fedora.repo	2009-11-03 03:45:04.000000000 +0530
++++ fedora-release-12/fedora.repo	2009-11-09 16:50:48.000000000 +0530
+@@ -1,23 +1,11 @@
+ [fedora]
+ name=Fedora $releasever - $basearch
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=fedora-$releasever&arch=$basearch
+ enabled=1
+ metadata_expire=7d
+ gpgcheck=1
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+ 
+-[fedora-debuginfo]
+-name=Fedora $releasever - $basearch - Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
+-enabled=0
+-metadata_expire=7d
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+ [fedora-source]
+ name=Fedora $releasever - Source
+ failovermethod=priority
+@@ -26,4 +14,12 @@ mirrorlist=https://mirrors.fedoraproject
+ enabled=0
+ metadata_expire=7d
+ gpgcheck=1
++gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-primary
++
++[fedora-arm-source]
++name=Fedora ARM $releasever - Source
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=fedora-source-$releasever&arch=$basearch
++enabled=0
++metadata_expire=7d
++gpgcheck=1
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+diff -urp fedora-release-12.orig/fedora-updates.repo fedora-release-12/fedora-updates.repo
+--- fedora-release-12.orig/fedora-updates.repo	2009-11-03 03:45:04.000000000 +0530
++++ fedora-release-12/fedora-updates.repo	2009-11-09 16:35:51.000000000 +0530
+@@ -1,21 +1,10 @@
+ [updates]
+ name=Fedora $releasever - $basearch - Updates
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/$releasever/$basearch/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-released-f$releasever&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-released-f$releasever&arch=$basearch
+ enabled=1
+ gpgcheck=1
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+ 
+-[updates-debuginfo]
+-name=Fedora $releasever - $basearch - Updates - Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/$releasever/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-released-debug-f$releasever&arch=$basearch
+-enabled=0
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+ [updates-source]
+ name=Fedora $releasever - Updates Source
+ failovermethod=priority
+@@ -24,3 +13,11 @@ mirrorlist=https://mirrors.fedoraproject
+ enabled=0
+ gpgcheck=1
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
++
++[updates-arm-source]
++name=Fedora ARM $releasever - Updates Source
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-released-source-f$releasever&arch=$basearch
++enabled=0
++gpgcheck=1
++gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
++
+diff -urp fedora-release-12.orig/fedora-updates-testing.repo fedora-release-12/fedora-updates-testing.repo
+--- fedora-release-12.orig/fedora-updates-testing.repo	2009-08-08 04:39:15.000000000 +0530
++++ fedora-release-12/fedora-updates-testing.repo	2009-11-09 16:36:47.000000000 +0530
+@@ -1,17 +1,6 @@
+ [updates-testing]
+ name=Fedora $releasever - $basearch - Test Updates
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/testing/$releasever/$basearch/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f$releasever&arch=$basearch
+-enabled=0
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-$basearch
+-
+-[updates-testing-debuginfo]
+-name=Fedora $releasever - $basearch - Test Updates Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/testing/$releasever/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-debug-f$releasever&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-testing-f$releasever&arch=$basearch
+ enabled=0
+ gpgcheck=1
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-$basearch
+@@ -24,3 +13,10 @@ mirrorlist=https://mirrors.fedoraproject
+ enabled=0
+ gpgcheck=1
+ gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-$basearch
++
++[updates-testing-arm-source]
++name=Fedora ARM $releasever - Test Updates Source
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-testing-source-f$releasever&arch=$basearch
++enabled=0
++gpgcheck=1
++gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-$basearch
diff --git a/fedora-release.spec b/fedora-release.spec
index 1e69fee..747c68e 100644
--- a/fedora-release.spec
+++ b/fedora-release.spec
@@ -4,11 +4,13 @@
 Summary:	Fedora release files
 Name:		fedora-release
 Version:	12
-Release:	1
+Release:	1.fa1
 License:	GPLv2
 Group:		System Environment/Base
 URL:		http://fedoraproject.org
 Source:		%{name}-%{version}.tar.gz
+Source1:	RPM-GPG-KEY-fedora-arm
+Patch1:		fedora-release-12-arm.patch 
 Obsoletes:	redhat-release
 Provides:	redhat-release
 Provides:	system-release = %{version}-%{release}
@@ -21,6 +23,7 @@ define the release.
 
 %prep
 %setup -q
+%patch1 -p1 
 
 %build
 
@@ -39,6 +42,7 @@ ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release
 install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
 
 install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
+install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
 
 # Install all the keys, link the primary keys to primary arch files
 # and to compat generic location
-- 
1.5.5.6

